Subject: Re: bug#18963: 25.0.50; byte compiler confuses compilation-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 03 Aug 2019 17:03:00 +0200

Tom Tromey <[email-masked]> writes:

> I ran the byte compiler via M-x compile.
> I got some warnings like:
>
> In toplevel form:
> src/something.el:17:1:Warning: Unused lexical argument `obj'
>
> compilation-mode things that the line "In toplevel form:" is some sort
> of error.  The words "toplevel form" are red.  If I next-error it says:
>
>     Find this error in (default toplevel form): 
>
> This also happens for the text "In provide:", also emitted by the byte
> compiler.
>
> This makes compilation mode harder to use.

(I'm going through old bug reports that unfortunately have not received
any responses yet.)

I see there's been some work in this area in the intervening years -- do
you still see this problem?  If so, do you have a test case?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no